@charset "utf-8";

.allergen {
    padding: 7vw 8vw;
    margin: 0 auto;
}

.allergen h1 {
    font-size: clamp(20px, 2.8vw, 40px);
    font-weight: 600;
    line-height: 1.3em;
    color: #341A25;
    text-align: center;
    padding-bottom: 65px;
}

.allergen h2 {
    font-size: 20px;
    font-weight: 600;
    line-height: 1.3em;
    color: #341A25;
    text-align: center;
    margin-top: 20px;
}

.allergen p {
    font-size: 16px;
    text-align: center;
    color: #341A25;
}

.table-area {
    max-width: 1220px;
    margin: 0 auto;
    overflow-y: auto;
    height: 800px;
    position: relative;

}

.allergen-table {
    background-color: #fff;
    color: #341A25;
    border-collapse: separate;
}

.allergen-table .color-tr {
    background-color: rgba(251, 245, 222, 36%);
}

.allergen-table th:first-child {
    writing-mode: horizontal-tb;
    width: 520px;
    text-align: left;
    padding: 0 20px;
}

.allergen-table th {
    background-color: #fff;
    position: sticky;
    top: 0;
    writing-mode: vertical-rl;
    vertical-align: middle;
    width: 88px;
    height: 272px;
    text-align: center;
    border: solid 1px #D9D9D9;
}

.allergen-table td:first-child {
    width: 520px;
    text-align: left;
    padding-left: 20px;
}

.allergen-table td {
    width: 88px;
    text-align: center;
    border: solid 1px #D9D9D9;
    height: 73px;
    vertical-align: middle;
}

.group-title {
    color: white;
    background-color: #C59d62;
    height: 38px !important;
    border: none;
}

@media only screen and (max-width: 767px) {
    .allergen {
        padding: 3vw;
    }

    .table-area {
        overflow-x: auto;
        overflow-y: auto;
        padding: 0 10px;
        height: 600px;
        position: relative;
        font-size: 11px;
    }

    .allergen-table {
        width: 100%;
        min-width: 300px;
        border-spacing: -1px;
    }

    .allergen-table td:first-child {
        min-width: 160px;
        padding: 0 10px;
    }

    .allergen-table td {
        height: 40px;
        width: 30px;
    }

    .allergen-table th {
        height: 155px;
        background-color: #fff;
        border: solid 1px #D9D9D9;
        width: 30px;
    }

    .group-title {
        height: 20px !important;
    }


}